#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	FCGI
%define	pnam	Engine
Summary:	FCGI::Engine - A flexible engine for running FCGI-based applications
Name:		perl-FCGI-Engine
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/FCGI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dd9a7a1c6977f915785e591143c31fe5
URL:		http://search.cpan.org/dist/FCGI-Engine/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Declare::Constraints::Simple)
BuildRequires:	perl(MooseX::Daemonize) >= 0.06
BuildRequires:	perl(MooseX::Getopt) >= 0.14
BuildRequires:	perl(MooseX::Types::Path::Class)
BuildRequires:	perl-CGI-Simple
BuildRequires:	perl-Config-Any
BuildRequires:	perl-FCGI
BuildRequires:	perl-Moose >= 0.32
BuildRequires:	perl-MooseX-AttributeHelpers >= 0.06
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-WWW-Mechanize
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module helps manage FCGI based web applications by providing a
wrapper which handles most of the low-level FCGI details for you. It
can run FCGI programs as simple scripts or as full standalone socket
based servers who are managed by FCGI::Engine::ProcManager.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

# DEPRECATED use Plack::Handler::FCGI::Engine
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorlib}/Plack/Server

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/FCGI/*.pm
%{perl_vendorlib}/FCGI/Engine
%{perl_vendorlib}/Plack/Handler/FCGI
%{_mandir}/man3/*
%changelog
* Thu Oct 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-FCGI-Engine.git;a=log;h=master

* Thu Oct 17 2013 Jan Rękorajski <baggins@pld-linux.org> f9d0e14
- up to 0.21
- removed DEPRECATED module

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 7fff933
- up to 0.19

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> ffaab37
- updated to 0.10

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 09a290c
- updated to 0.08

* Mon Oct 20 2008 Elan Ruusamäe <glen@pld-linux.org> 82e99ac
- new

